You are not logged in.

#1 2019-05-04 17:32:01

anselm
Member
Registered: 2017-11-21
Posts: 43

Qt problem: Cannot mix incompatible Qt library

After today update, I get always an error when trying to launch VLC:

Cannot mix incompatible Qt library (version 0x50c01) with this library (version 0x50c03)

I tried to downgrade VLC, but no success.

Offline

#2 2019-05-05 04:39:09

levi
Moderator
From: Yorkshire, UK
Registered: 2018-06-16
Posts: 387

Re: Qt problem: Cannot mix incompatible Qt library

For clarity, are you still running the i686 packages?


Architecture: pentium4, Testing repos: Yes, Hardware: EeePC 901+2GB RAM+OS half on the SD card.

Offline

#3 2019-05-05 14:59:36

anselm
Member
Registered: 2017-11-21
Posts: 43

Re: Qt problem: Cannot mix incompatible Qt library

Yes, when I posted this question I used the i686 package. After that I realized that there is a new architecture, pentium4, which provides some performance benefit. I installed it immediately, launching the appropriate pacman commands, after I edited the arch line in pacman.conf, and this particular problem has been resolved. However I got new problems after that: I had to compile the icu63 package, because I wasn't able to run smplayer and chromium elsewhere. I also had to copy two files into /usr/lib manually from the tar.xz package cache, namely "libcdio.so.18", so it coexists now with "libcdio.so.19". If I install the correspondent packages, only one of them survives, and it's strange, but mplayer refuse to start, if any of them is missing.

System truly became slightly faster, after I managed to disable baloo file extractor again, but I am still unable to play HD 720p video content. In the past I was able to play HD videos on this same machine, the only changes is video card was downgraded from Geforce FX 5200 to Geforce MX 440 and driver is nouveau instead of nvidia-96xx-dkms. Maybe the video output driver is slower, or something.

Last edited by anselm (2019-05-05 15:25:30)

Offline

#4 2019-05-05 15:28:26

levi
Moderator
From: Yorkshire, UK
Registered: 2018-06-16
Posts: 387

Re: Qt problem: Cannot mix incompatible Qt library

Certainly a few years ago now, the binary nvidia drop was leagues ahead in terms of performance than nouveaux, but I gather they've been working on speeding up nouveaux for a while, and I've no experience as to where they've got these days (I no longer run any nvidia hardware by choice).


Architecture: pentium4, Testing repos: Yes, Hardware: EeePC 901+2GB RAM+OS half on the SD card.

Offline

#5 2019-05-08 12:37:38

standreas
Member
Registered: 2019-05-06
Posts: 6

Re: Qt problem: Cannot mix incompatible Qt library

Same problem, but broke all my LXQt desktop, solved  https://bbs.archlinux32.org/viewtopic.p … 5778#p5778

Offline

Board footer

Powered by FluxBB